Bug 1208266 - GNOME Terminal setting: Use dark theme variant is not translated
Summary: GNOME Terminal setting: Use dark theme variant is not translated
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-01 19:20 UTC by Jan-Michael Brummer
Modified: 2015-09-23 04:08 UTC (History)
7 users (show)

Fixed In Version: 3.17.92-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-23 04:08:55 UTC


Attachments (Terms of Use)
Screenshot showing the issue (30.13 KB, image/png)
2015-04-01 19:20 UTC, Jan-Michael Brummer
no flags Details

Description Jan-Michael Brummer 2015-04-01 19:20:27 UTC
Created attachment 1009828 [details]
Screenshot showing the issue

Description of problem:
Fedora reverted GNOME's removal of dark theme variant option, but within this step the translation weren't taken into account. Therefore the option is currently only available in English. This needs to be fixed.

Version-Release number of selected component (if applicable):
22 Alpha

How reproducible:
Always

Steps to Reproduce:
1. Start gnome terminal using a language other than Englih
2. Go to settings

Actual results:
Dark Theme Variant option is *not* translated

Expected results:
Dark Theme Variant option is translated


Additional info:

Comment 1 Egmont Koblinger 2015-04-01 22:39:28 UTC
I _guess_ the Transparency option suffers from the same problem... does it?

Comment 2 Jan-Michael Brummer 2015-04-02 05:38:16 UTC
Yes, the slider options for transparency are also not translated.

Comment 3 Jan-Michael Brummer 2015-07-06 20:26:29 UTC
Is there a planed solution for this problem?

Comment 4 Leslie Satenstein 2015-08-17 19:58:17 UTC
Not translated for Fedora23 RC2

Comment 5 Leslie Satenstein 2015-08-17 20:05:47 UTC
While you are correcting the above 

Please correct the French text under Fichier  

derniere ligne

fermer tout les terminaux

Should read / devra lire

fermer tous les terminaux

Comment 6 Abdel Gadiel Martínez Lassonde 2015-08-21 01:47:27 UTC
The same occurs in Spanish.

Comment 7 Piotr Drąg 2015-08-31 12:08:43 UTC
This is because these features are patched-in on Fedora. As a workaround, I put the translation in the upstream PO file:

https://git.gnome.org/browse/gnome-terminal/tree/po/pl.po#n2085

You can ask the GNOME translation team for your language to do the same. They might say no to this hack, though.

Comment 8 Jan-Michael Brummer 2015-09-04 19:15:28 UTC
Of course this is caused by a patched version of gnome terminal. I think we need a solution which offers a consistent behavior. Either use upstream as intended (preferred solution) or patch it and provide translation for every language.

Are there any serious reasons to provide a patched version of gnome terminal?

Comment 9 Debarshi Ray 2015-09-14 16:52:50 UTC
(In reply to Egmont Koblinger from comment #1)
> I _guess_ the Transparency option suffers from the same problem... does it?

(In reply to Jan-Michael Brummer from comment #2)
> Yes, the slider options for transparency are also not translated.

But, the check button's label (ie. "Use transparent background") is translated, right? The reason the "none" and "full" labels aren't translated is that I never got around to restoring the translations for the slider labels. It's on my to-do list.

Comment 10 Debarshi Ray 2015-09-14 16:53:50 UTC
(In reply to Jan-Michael Brummer from comment #0)
> Fedora reverted GNOME's removal of dark theme variant option, but within
> this step the translation weren't taken into account. Therefore the option
> is currently only available in English. This needs to be fixed.

Should be fixed in gnome-terminal-3.17.91-1.fc23

Comment 11 Debarshi Ray 2015-09-14 16:54:58 UTC
(In reply to Piotr Drąg from comment #7)
> This is because these features are patched-in on Fedora. As a workaround, I
> put the translation in the upstream PO file

Yes, I noticed that. Much appreciated. :)

Comment 12 Piotr Drąg 2015-09-15 02:27:14 UTC
Is there a way to translate "Command completed" from vte291?

Comment 13 Debarshi Ray 2015-09-16 12:56:17 UTC
(In reply to Piotr Drąg from comment #12)
> Is there a way to translate "Command completed" from vte291?

That string comes from a shell script and never existed upstream. So not sure what to do about that.

Comment 14 Fedora Update System 2015-09-17 13:32:29 UTC
abattis-cantarell-fonts-0.0.16-4.fc23 atomix-3.17.92-1.fc23 baobab-3.17.90-1.fc23 bijiben-3.17.92-1.fc23 cheese-3.17.92-1.fc23 clutter-1.24.0-1.fc23 clutter-gtk-1.6.4-1.fc23 cogl-1.22.0-1.fc23 control-center-3.17.92-2.fc23 dconf-editor-3.17.92-1.fc23 eog-3.17.92-1.fc23 epiphany-3.17.91-2.fc23 evince-3.17.92-1.fc23 evolution-3.17.92-1.fc23 evolution-data-server-3.17.92-2.fc23 evolution-ews-3.17.92-1.fc23 evolution-mapi-3.17.92-1.fc23 five-or-more-3.17.92-1.fc23 four-in-a-row-3.17.92-1.fc23 fwupd-0.5.0-1.fc23 gcr-3.17.4-1.fc23 gdm-3.17.92-1.fc23 gedit-3.17.92-1.fc23 gedit-plugins-3.17.1-1.fc23 geocode-glib-3.17.92-1.fc23 glib2-2.45.8-1.fc23 gnome-2048-3.17.92-1.fc23 gnome-bluetooth-3.17.92-1.fc23 gnome-builder-3.17.92-1.fc23 gnome-calculator-3.17.92-1.fc23 gnome-calendar-3.17.92-1.fc23 gnome-chess-3.17.92-1.fc23 gnome-clocks-3.16.2-1.fc23 gnome-desktop3-3.17.92-1.fc23 gnome-devel-docs-3.17.92-1.fc23 gnome-klotski-3.17.92-1.fc23 gnome-mahjongg-3.17.92-1.fc23 gnome-maps-3.17.92-1.fc23 gnome-mines-3.17.92-1.fc23 gnome-multi-writer-3.17.92-1.fc23 gnome-music-3.17.92-1.fc23 gnome-online-accounts-3.17.92.1-1.fc23 gnome-robots-3.17.92-1.fc23 gnome-session-3.17.92-1.fc23 gnome-settings-daemon-3.17.92-1.fc23 gnome-shell-3.17.92-1.fc23 gnome-shell-extension-background-logo-3.17.92-1.fc23 gnome-shell-extensions-3.17.92-1.fc23 gnome-software-3.17.92-2.fc23 gnome-sound-recorder-3.17.92-1.fc23 gnome-sudoku-3.17.92-1.fc23 gnome-system-monitor-3.17.92-1.fc23 gnome-taquin-3.17.92-1.fc23 gnome-terminal-3.17.91-1.fc23 gnome-tetravex-3.17.92-1.fc23 gnome-todo-3.17.92-1.fc23 gnome-user-share-3.17.92-1.fc23 gnome-weather-3.17.92-1.fc23 gnote-3.17.1-1.fc23 grilo-0.2.15-1.fc23 grilo-plugins-0.2.15-1.fc23 gsettings-desktop-schemas-3.17.92-1.fc23 gtk3-3.17.9-1.fc23 gtkhtml3-4.9.92-1.fc23 gtksourceview3-3.17.7-1.fc23 gucharmap-3.17.90-2.fc23 gvfs-1.25.92-3.fc23 iagno-3.17.92-1.fc23 libappstream-glib-0.5.1-1.fc23 libgdata-0.17.3-1.fc23 libgtop2-2.31.91-1.fc23 libgusb-0.2.7-1.fc23 libgweather-3.17.92-1.fc23 libsecret-0.18.3-1.fc23 libsoup-2.51.92-1.fc23 lightsoff-3.17.92-1.fc23 mutter-3.17.92-1.fc23 orca-3.17.92-1.fc23 PackageKit-1.0.9-1.fc23 pango-1.37.5-1.fc23 polari-3.17.92-1.fc23 quadrapassel-3.17.92-1.fc23 rygel-0.27.6-1.fc23 shared-mime-info-1.5-1.fc23 simple-scan-3.17.92-1.fc23 swell-foop-3.17.92-1.fc23 tali-3.17.92-1.fc23 totem-3.17.92-1.fc23 vte291-0.41.90-1.fc23 webkitgtk4-2.9.92-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16093

Comment 15 Fedora Update System 2015-09-17 21:29:41 UTC
PackageKit-1.0.9-1.fc23, abattis-cantarell-fonts-0.0.16-4.fc23, atomix-3.17.92-1.fc23, baobab-3.17.90-1.fc23, bijiben-3.17.92-1.fc23, cheese-3.17.92-1.fc23, clutter-1.24.0-1.fc23, clutter-gtk-1.6.4-1.fc23, cogl-1.22.0-1.fc23, control-center-3.17.92-2.fc23, dconf-editor-3.17.92-1.fc23, eog-3.17.92-1.fc23, epiphany-3.17.91-2.fc23, evince-3.17.92-1.fc23, evolution-3.17.92-1.fc23, evolution-data-server-3.17.92-2.fc23, evolution-ews-3.17.92-1.fc23, evolution-mapi-3.17.92-1.fc23, five-or-more-3.17.92-1.fc23, four-in-a-row-3.17.92-1.fc23, fwupd-0.5.0-1.fc23, gcr-3.17.4-1.fc23, gdm-3.17.92-1.fc23, gedit-3.17.92-1.fc23, gedit-plugins-3.17.1-1.fc23, geocode-glib-3.17.92-1.fc23, glib2-2.45.8-1.fc23, gnome-2048-3.17.92-1.fc23, gnome-bluetooth-3.17.92-1.fc23, gnome-builder-3.17.92-1.fc23, gnome-calculator-3.17.92-1.fc23, gnome-calendar-3.17.92-1.fc23, gnome-chess-3.17.92-1.fc23, gnome-clocks-3.16.2-1.fc23, gnome-desktop3-3.17.92-1.fc23, gnome-devel-docs-3.17.92-1.fc23, gnome-klotski-3.17.92-1.fc23, gnome-mahjongg-3.17.92-1.fc23, gnome-maps-3.17.92-1.fc23, gnome-mines-3.17.92-1.fc23, gnome-multi-writer-3.17.92-1.fc23, gnome-music-3.17.92-1.fc23, gnome-online-accounts-3.17.92.1-1.fc23, gnome-robots-3.17.92-1.fc23, gnome-session-3.17.92-1.fc23, gnome-settings-daemon-3.17.92-1.fc23, gnome-shell-3.17.92-1.fc23, gnome-shell-extension-background-logo-3.17.92-1.fc23, gnome-shell-extensions-3.17.92-1.fc23, gnome-software-3.17.92-2.fc23, gnome-sound-recorder-3.17.92-1.fc23, gnome-sudoku-3.17.92-1.fc23, gnome-system-monitor-3.17.92-1.fc23, gnome-taquin-3.17.92-1.fc23, gnome-terminal-3.17.91-1.fc23, gnome-tetravex-3.17.92-1.fc23, gnome-todo-3.17.92-1.fc23, gnome-user-share-3.17.92-1.fc23, gnome-weather-3.17.92-1.fc23, gnote-3.17.1-1.fc23, grilo-0.2.15-1.fc23, grilo-plugins-0.2.15-1.fc23, gsettings-desktop-schemas-3.17.92-1.fc23, gtk3-3.17.9-1.fc23, gtkhtml3-4.9.92-1.fc23, gtksourceview3-3.17.7-1.fc23, gucharmap-3.17.90-2.fc23, gvfs-1.25.92-3.fc23, iagno-3.17.92-1.fc23, libappstream-glib-0.5.1-1.fc23, libgdata-0.17.3-1.fc23, libgtop2-2.31.91-1.fc23, libgusb-0.2.7-1.fc23, libgweather-3.17.92-1.fc23, libsecret-0.18.3-1.fc23, libsoup-2.51.92-1.fc23, lightsoff-3.17.92-1.fc23, mutter-3.17.92-1.fc23, orca-3.17.92-1.fc23, pango-1.37.5-1.fc23, polari-3.17.92-1.fc23, quadrapassel-3.17.92-1.fc23, rygel-0.27.6-1.fc23, shared-mime-info-1.5-1.fc23, simple-scan-3.17.92-1.fc23, swell-foop-3.17.92-1.fc23, tali-3.17.92-1.fc23, totem-3.17.92-1.fc23, vte291-0.41.90-1.fc23, webkitgtk4-2.9.92-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update webkitgtk4 evolution-mapi gnome-calendar vte291 gnome-mines libgtop2 gnome-maps five-or-more pango abattis-cantarell-fonts libgdata four-in-a-row libappstream-glib control-center gnome-mahjongg simple-scan gnome-devel-docs gnome-multi-writer gnome-chess fwupd gnome-desktop3 gnome-klotski gnome-clocks dconf-editor gdm evince epiphany gnome-calculator gedit PackageKit iagno atomix gedit-plugins geocode-glib tali shared-mime-info orca eog gvfs glib2 gnome-2048 gnome-bluetooth gucharmap gnome-builder baobab evolution mutter gtksourceview3 evolution-ews bijiben rygel gcr lightsoff cheese cogl gtkhtml3 clutter clutter-gtk libsoup gtk3 totem swell-foop quadrapassel libsecret gsettings-desktop-schemas evolution-data-server libgweather grilo-plugins libgusb polari grilo gnote gnome-music gnome-weather gnome-todo gnome-shell gnome-user-share gnome-tetravex gnome-terminal gnome-taquin gnome-system-monitor gnome-sudoku gnome-sound-recorder gnome-software gnome-shell-extensions gnome-online-accounts gnome-robots gnome-shell-extension-background-logo gnome-session gnome-settings-daemon'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16093

Comment 16 Fedora Update System 2015-09-23 04:08:49 UTC
PackageKit-1.0.9-1.fc23, abattis-cantarell-fonts-0.0.16-4.fc23, atomix-3.17.92-1.fc23, baobab-3.17.90-1.fc23, bijiben-3.17.92-1.fc23, cheese-3.17.92-1.fc23, clutter-1.24.0-1.fc23, clutter-gtk-1.6.4-1.fc23, cogl-1.22.0-1.fc23, control-center-3.17.92-2.fc23, dconf-editor-3.17.92-1.fc23, eog-3.17.92-1.fc23, epiphany-3.17.91-2.fc23, evince-3.17.92-1.fc23, evolution-3.17.92-1.fc23, evolution-data-server-3.17.92-2.fc23, evolution-ews-3.17.92-1.fc23, evolution-mapi-3.17.92-1.fc23, five-or-more-3.17.92-1.fc23, four-in-a-row-3.17.92-1.fc23, fwupd-0.5.0-1.fc23, gcr-3.17.4-1.fc23, gdm-3.17.92-1.fc23, gedit-3.17.92-1.fc23, gedit-plugins-3.17.1-1.fc23, geocode-glib-3.17.92-1.fc23, glib2-2.45.8-1.fc23, gnome-2048-3.17.92-1.fc23, gnome-bluetooth-3.17.92-1.fc23, gnome-builder-3.17.92-1.fc23, gnome-calculator-3.17.92-1.fc23, gnome-calendar-3.17.92-1.fc23, gnome-chess-3.17.92-1.fc23, gnome-clocks-3.16.2-1.fc23, gnome-desktop3-3.17.92-1.fc23, gnome-devel-docs-3.17.92-1.fc23, gnome-klotski-3.17.92-1.fc23, gnome-mahjongg-3.17.92-1.fc23, gnome-maps-3.17.92-1.fc23, gnome-mines-3.17.92-1.fc23, gnome-multi-writer-3.17.92-1.fc23, gnome-music-3.17.92-1.fc23, gnome-online-accounts-3.17.92.1-1.fc23, gnome-robots-3.17.92-1.fc23, gnome-session-3.17.92-1.fc23, gnome-settings-daemon-3.17.92-1.fc23, gnome-shell-3.17.92-1.fc23, gnome-shell-extension-background-logo-3.17.92-1.fc23, gnome-shell-extensions-3.17.92-1.fc23, gnome-software-3.17.92-2.fc23, gnome-sound-recorder-3.17.92-1.fc23, gnome-sudoku-3.17.92-1.fc23, gnome-system-monitor-3.17.92-1.fc23, gnome-taquin-3.17.92-1.fc23, gnome-terminal-3.17.91-1.fc23, gnome-tetravex-3.17.92-1.fc23, gnome-todo-3.17.92-1.fc23, gnome-user-share-3.17.92-1.fc23, gnome-weather-3.17.92-1.fc23, gnote-3.17.1-1.fc23, grilo-0.2.15-1.fc23, grilo-plugins-0.2.15-1.fc23, gsettings-desktop-schemas-3.17.92-1.fc23, gtk3-3.17.9-1.fc23, gtkhtml3-4.9.92-1.fc23, gtksourceview3-3.17.7-1.fc23, gucharmap-3.17.90-2.fc23, gvfs-1.25.92-3.fc23, iagno-3.17.92-1.fc23, libappstream-glib-0.5.1-1.fc23, libgdata-0.17.3-1.fc23, libgtop2-2.31.91-1.fc23, libgusb-0.2.7-1.fc23, libgweather-3.17.92-1.fc23, libsecret-0.18.3-1.fc23, libsoup-2.51.92-1.fc23, lightsoff-3.17.92-1.fc23, mutter-3.17.92-1.fc23, orca-3.17.92-1.fc23, pango-1.37.5-1.fc23, polari-3.17.92-1.fc23, quadrapassel-3.17.92-1.fc23, rygel-0.27.6-1.fc23, shared-mime-info-1.5-1.fc23, simple-scan-3.17.92-1.fc23, swell-foop-3.17.92-1.fc23, tali-3.17.92-1.fc23, totem-3.17.92-1.fc23, vte291-0.41.90-1.fc23, webkitgtk4-2.9.92-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.